Subject: [bug#73993] [PATCH] gnu: git-sizer: Pin git version.

From: Greg Hogan <[email-masked]>
Date: Thu, 5 Dec 2024 16:06:54 -0500

On Fri, Nov 29, 2024 at 4:40 AM Liliana Marie Prikler
<[email-masked]> wrote:
>
> Am Donnerstag, dem 24.10.2024 um 19:05 +0000 schrieb Greg Hogan:
> > When I submitted this package the placement of git in native-inputs
> > was incorrect. This patch switches that dependency to the pinned
> > version of git in inputs and therefore hard-codes the path.
> >
> > * gnu/packages/version-control.scm (git-sizer)
> > [arguments]<#:phases>: Use gexps and hard-code git path in 'fix-
> > paths.
> > [propagated-inputs]: Remove git.
> > [native-inputs]: Add git-minimal/pinned.
> The ChangeLog here is wrong.  git is removed from native-inputs and
> git-minimal/pinned added to inputs.
>
> I would suggest making the change to G-Expressions in a separate patch
> for easier review.
>
> Cheers

Thanks for reviewing and catching the errors in the commit message. I
have split v2 into three commits because the current package is broken
as git needs to be either propagated or hard-coded. The git dependency
should have been in propagated-inputs, and is now in inputs.